Почему не duply работает, когда по cron?

У меня проблема с cron-задание, которое начинается, но не завершается. Выполнив команду вручную работает нормально. Я уже прочитал страницу о cron проблемы и решения здесь на AskUbuntu, попробовал предложенные решения, но не нашел ответа в моем случае.

Я использую Ubuntu 12.04.

$ кронтаб -е

Снаряд=/бин/баш # в противном случае это будет /Бен/ш
59 16 * * * /ОГРН/duply календарь резервное копирование > /tmp/и duply.журнал

Кстати, файл cron заканчивается пустой строкой, как кто-то отметил.

После того, как работа "готового"...:

команды $ cat /tmp/и duply.журнал 
Начать duply В1.5.7, Время 2012-06-22 16:59:01.

Вместо этого, выполняется вручную скрипт работает правильно и дает этот выход:

Начать duply В1.5.7, Время 2012-06-22 17:06:39.

[вырезан]
... вот такое длинное выходные данные duply.
... и да, файлы были скопированы.
[вырезан]

--- Завершенном ОК в 17:06:42.581 - во время выполнения 00:00:03.170 ---

Я также попытался перезапустить демон cron (судо службы cron перезапуск), но ничего не изменилось.

У вас есть какие-либо предложения, чтобы исправить проблему?

+967
LoraShal 5 окт. 2010 г., 6:05:27
19 ответов

Похоже, что база данных Банши был поврежден. Чтобы сделать Банши работать, вы должны удалить поврежденный файл базы данных (или его ремонт). База данных находится в

~/.конфиг/Банши-1/баньши.дБ

Переименуйте его, и Банши могут снова запустить. Но все ваши настройки будут потеряны. Если вы хотите, чтобы восстановить его, следуйте этой статье.

Которая состоит из:

  1. Откройте окно терминала и перейдите к ~/.конфиг/Банши-1 и установить sqlite3 для: суда apt-получить установку и sqlite3
  2. Резервное копирование файла Банши.БД , копируя его.
  3. Откройте файл базы данных, используя и sqlite3: sqlite3 для Банши.дБ
  4. Выполнить проверку целостности данных с помощью команды ПРАГМА integrity_check;. Это сообщает об ошибках, но не исправит те
  5. Попробуйте переиндексировать;

Если ни один из выше работал, продолжить чтение восстановления поврежденного Банши базе.

+909
Magi Yosif 03 февр. '09 в 4:24

Это решение было принято из этого ответа. Однако, что ответа до сих пор не отмечен как принятый, но он работал для меня.

Выполните следующий сценарий:

#!/бин/Баш
если [[ $по uid != 0 ]]; затем
 Эхо "пожалуйста, запустите этот скрипт с sudo:"
 Эхо "судо $0 $*"
 выход 1
интернет

судо в каталог /usr/src/и Линукс-заголовки-$(uname-Р)/включить/вырабатываемой/uapi/Linux и версии.ч каталог /usr/src/и Линукс-заголовки-$(uname-Р)/включить/Linux и версии.ч

кд /usr/lib в/с VMware/модули/источник
судо тар-XF vmci.тар
компакт-диск vmci-Only и Линукс
судо е 127С/.*/ .удалить = vmci_remove_device, водитель/'.водитель c>.С. ТМП
водитель МВ.С. водитель ТМП.с
судо е 1753s/.*/водитель статические инт/'.водитель c>.С. ТМП
водитель МВ.С. водитель ТМП.с
судо е 1981s/.*/водитель статической силы/'.водитель c>.С. ТМП
водитель МВ.С. водитель ТМП.с
на CD ../..
судо смолы -кф vmci.деготь vmci-только/
судо РМ vmci-только/ -РФ
судо компании VMware-modconfig --консоли --установить-все
судо РМ в /usr/src в/в Linux-заголовков-$(uname-Р)/включить/Линукс/версия.ч
Эхо "готово"
+844
user271357 13 июн. 2012 г., 11:34:17

Вы уверены, что это ваши карты? У меня есть монитор Samsung SA300 и он принимает оба типа входных и была такая же проблема, когда я подключил DVI кабель к нему. Я узнал, что мне придется переключаться между входами для его работы. Там должно быть где-то на мониторе, что позволяет переключаться между входами? Мой был рядом с вкл/выкл выбор. Вы никогда не знаете, это может быть что-то простое, вроде этого...

+834
Kas9ck 29 янв. 2016 г., 23:33:34

Да, это возможно, с ядром > 3.3 ( ядра 3.5 в настоящее время доступна в бэкпортировать пакет для Linux-универсальный-ЛЦ-дискретные ): см http://linuxtv.org/wiki/index.php/ITE_IT9135. Короче: необходимо скачать прошивку с http://www.ite.com.tw/uploads/firmware/v3.6.0.0/dvb-usb-it9135.zipразархивируйте, а потом

ДД, если=ДВБ-с USB-it9135.осень-зима СРК=1 пропуск=64 кол-во=8128 от=ДВБ-с USB-it9135-01.ФРШ
ДД, если=ДВБ-с USB-it9135.ПВ СРК=1 пропуск=12866 количество=5817 из=ДВБ-с USB-it9135-02.ФРШ

Скопируйте два результате .файлов FW в /lib/прошивки ; устройства переподключить. Вы должны увидеть файл/dev/стандарта DVB/adapter0/frontend0 показать (вместе с сообщениями в файл dmesg); затем просто запустите и как он будет работать (или что приложение, которое вы используете, чтобы смотреть телевизор на вашем компьютере).

+782
fbitterlich 5 сент. 2014 г., 22:13:20

Погуглив, я нашел этот пост:

Не хочется поднимать старую тему но если у кого-то ошибки при попытке следовать этим инструкциям, вот что я сделал.

  1. Резервное копирование домашнего каталога, когда вы вошли в судо СР -РП /главная/пользователя /главная/пользователя.резервное копирование

1.1. Убедитесь, что ваш домашний резервного копирования есть все!!!

  • перезагрузки в корень через жратву
  • Удалить вашу домашнюю директорию РМ -РФ /главная/пользователя
  • Удаление пакетов apt-получить удалить ecryptfs-utils и libecryptfs0
  • Восстановить вашу домашнюю директорию МВ /главная/пользователя.резервное копирование в /Home/пользователь
  • перезагрузка
  • Удалить любой из этих .Частная .ecryptfs папки РМ -РФ ~/.Частная РМ -РФ ~/.ecryptfs
  • Ура!
  • Этот работал для меня. Дома permissions файл папки остаются нетронутыми и не негодника Dropbox или репозитории Git. Почему-то моя новая установка на Ubuntu 9.10 не сделал бы первую команду. Просто убедитесь, что вы думаете процесса при использовании РМ -РФ. Только хотел запостить это не только мой рекорд, но кто-то, кто сталкивается с проблемами.

    Некоторые заметки

    • перезагрузки в корень через жратву было немного непонятно для меня; я не перезагрузка, просто перешли на использование корневых (другой учетной записью с помощью команды sudo привилегии будет работать одинаково хорошо).
    • Перед удалением пакетов ecryptfs-utils версии и libecryptfs0 будет работать, мне нужно удалить /дома/.ecryptfs/<имя_пользователя>. (Он жаловался, что ecryptfs-utils и был в использовании.)

    Кроме этого, этот работал для меня. Это хоть и далеко не простая, поэтому не стесняйтесь оставлять лучшего решения!

    +509
    Pujya 7 сент. 2012 г., 23:51:28

    Есть патч на guake.org, которые вы можете скачать для патч исходный код, скомпилировать и установить программу. Это единственный способ на данный момент, чтобы получить нужный параметр; это работает, хотя (см. скриншоты ниже). Это, как я это сделал.

    Патч должен быть загружен с Здесь в виде файла; он предназначен для работы с 0.42 исходного кода, но может быть переделаны, чтобы работать с любым исходным кодом, таких как более поздние 0.4.4. (Изучение исходного кода 0.4.4 говорит о том, что патч может быть реализована в той версии, но при компиляции, возможность перехода к I-образный курсор, казалось, не работал.)

    Однако можно просто использовать 0.42 исходный код, поэтому скачать этот файл, компакт-диск в папку "загрузки" с терминала и распакуйте его с:

    guake-0.4.2.tar.gz xzvf смолы 
    

    Прежде, чем вы сделаете что-нибудь еще, удалите текущую версию guake если он у вас установлен, а затем установить сборочные зависимости и другие инструменты:

    суда apt-получить установку сборки-необходимые checkinstall 
    суда apt-получить сборки ДЭП guake
    

    Как отметил в своем комментарии, чтобы получить строить-ДЭП функция работала, вам нужно зайти в источники приложений и включите исходный код, установив флажок. Затем выполните команду sudo apt-получить обновление и любые строит-отд команды должны работать. Построение зависимостей также перечислены в README файл с исходным кодом загрузки в Python-разработчиков, libgconf2-dev, но libgtk2.0-разработки на Python-GTK-на-Дэв.

    Сейчас, пока в папку, в которую вы загрузили файлы, скопировать патч в папку с guake

    CursorShape СР.патч guake-0.4.2/
    

    Далее, компакт-диск с guake папку и пропатчить исходный код с

    патч -Р1 < CursorShape.патч
    

    Затем настроить и создать файлы с

    ./настроить && сделать
    

    Последним шагом является запуск

    команду sudo checkinstall
    

    но когда вы установите его, убедитесь, что вы указать номер версии в меню checkinstall не 0.4.2, 0.4.3, но или что-то подобное, как вы будете постоянно быть предложено перезаписать пользовательские версии с пакетом версия (0.4.2), если вы не определите более высокий номер версии.

    Скриншоты, показывающие патченная версия предпочтений и guake терминал соответственно.

    enter image description here

    enter image description here

    +507
    zeflex 1 окт. 2013 г., 22:22:46

    Я был обновление моего Ubuntu 11.10 на 12.04 новый и мне пришлось заставить мой компьютер за это замер, думая, что мне пришлось начать сначала подъем ведьма меня устраивает, но, видимо, это как-то закончено обновление, но теперь я не могу войти.

    Есть черный, клеммы, как экран с просьбой "Убунту логин" и "пароль", я поддерживаю моего компьютера имя и пароль, по-другому, желающих вернуться моих произведений я работал так тяжело, но он продолжает говорить это недопустимый. Я не хочу, чтобы перезагрузить свои работы я работала днями, я ничего не могу сделать в два раза, это стресс и мне нужно мое искусство плохо, я вам очень одиноко, раздраженной и суеверное, вроде моя безопасная зона.

    Как я могу попасть на новую Убунту без потери моих вещах? Я действительно очень ценю это.

    (Примечание моего ноутбука не использовать F клавиши#)

    +469
    Jacob Haug 25 окт. 2018 г., 20:12:19

    Кажется, для меня у вас есть какой-нибудь пакет pinnings.

    с dpkg путь

    Но в любом случае, просто скачать эти пакеты (libg2c0, на GCC-3.4-база, на GCC-3.4, КПП-3.4) с wget и установить их непосредственно с помощью dpkg. С командной строки-фу:

    Пакеты=(libg2c0 на GCC-3.4 и gcc-3.4-база ЧГК-3.4)
    для ПКГ в пакеты стоимостью$; делай с wget http://archive.ubuntu.com/ubuntu//pool/universe/g/gcc-3.4/${ПКГ}_3.4.6-6ubuntu5_$(команды dpkg --принт-архитектура).ДЭБ; сделано
    судо команды dpkg -я ${пакеты/%/_3.4.6-6ubuntu5_$(команды dpkg --принт-архитектура).деб}
    

    Нет необходимости для Харди источников пакетов с помощью этого метода.

    Подходящим способом

    Альтернативный метод с Харди источников позволило бы установить какой-то пакет pinnings в файле/etc/АПТ/предпочтения:

    Пакет: libg2c0 на GCC-3.4 и gcc-3.4-база ЧГК-3.4
    Пин-код: выпуск=Харди*
    Пин-Приоритет: 500
    
    Пакет: *
    Пин-код: выпуск=Харди*
    Пин-Приоритет: -1
    
    +461
    Angelica Silvia 24 янв. 2015 г., 22:46:13

    Я решил зашифровать свои дома во время установки, и теперь я хотел бы получить доступ к моим данным с LiveCD, к сожалению у меня возникли проблемы выполните следующие инструкции. Я получаю сообщение об ошибке "установка eCryptfs: [-2] нет такого файла или каталога"

    +414
    Polina Shut 7 янв. 2013 г., 16:14:35

    Я установил Windows XP дома на новый машина. При загрузки с CD не работает так, чтобы получить диск с Ubuntu 9.04 запустить я установил Убунту 9.04 загрузки/автозапуска/запуска программы.

    Установка прошла хорошо и я теперь обновить до 10.10. Однако, теперь при загрузке мне нужно выбрать ОС для загрузки в два раза.

    Как только со жратвой, а потом с тем, что выглядит как программа, которую я установил с Ubuntu 9.04. Как мне избавиться от утилита в Ubuntu 9.04?

    +386
    lanka121 23 дек. 2017 г., 17:07:03

    Вы можете найти Ubuntu один в приложения > Системные утилиты > Системные настройки.

    Если он не найден, откройте его с помощью терминала, введя ubuntuone-установщика

    +335
    Sharad Yadav 23 сент. 2015 г., 8:51:24

    Я хочу, чтобы мои окна кнопок, чтобы быть элементарный как с кнопки закрытия слева и максимизировать справа нет кнопки минимизации. Инструмент настройки гнома, кажется, только позволяют мне, чтобы переместить все кнопки, а не отдельных кнопок. Как я могу добиться этого? Спасибо

    +334
    teclis 16 авг. 2018 г., 10:35:06

    Вы всегда можете установить разные версии Python, они будут счастливо сосуществовать, просто убедитесь, что вы не переопределить стандартное расположение (т. е. выбрать другую корневую директорию).

    Для общего использования, убедитесь, что старые, как правило, не в ваш путь.

    Когда вам нужно, чтобы испытать вас развития Гэ, добавить путь к 2.5 версии и Гэ корневой каталог в передней части вашего пути, и вы готовы. Чтобы это было удобнее, я создал функцию (может быть псевдоним) в мой .bashrc и изменить свою переменную PATH. Работает как шарм.

    функция add_path
    {
     (Эхо $путь | fgrep "$1" >/dev/нуль) || экспорт путь="1$:$путь"
    }
    
    Гэ функции 
    {
    ГЭ="(Г)"
     add_path /usr/местные/доли/питон-2.5.5/
     add_path /usr/местные/доли/google_appengine/
    }
    

    Конечно, пути могут отличаться в вашей системе.

    Я использую переменную ГЭ в моей ПС1 так что я знаю, когда я использовал эту функцию - и у меня есть визуальное напоминание, чтобы сказать мне, что я для Гэ (т. е. я использую старую версию Python).

    +332
    StrengthPlusPlus 23 сент. 2018 г., 6:51:40

    Попробуйте установить libasound2 и libasound2-плагинов.

    судо способность установить libasound2 libasound2-Плагины
    

    --Редактирование--
    Установки flashplugin-nonfree в-экстрараунде может решить эту проблему.

    судо способность установить flashplugin-nonfree в-экстрараунде
    
    +296
    Willian Barker 23 июн. 2010 г., 17:35:50

    Нужно поставить настройки в файл xorg.файл conf следующим образом:

    судо команду gedit /usr/доли/Х11/файл xorg.конф.Д/60-синаптикс-варианты.конф 
    

    В новый файл, типа

    Раздел "InputClass"
     Идентификатор "тачпад всеохватывающий"
     Водитель "синаптикс"
     MatchIsTouchpad "о"
     MatchDevicePath "на/dev/вход/мероприятия*"
    
     Вариант "RTCornerButton" "0"
    
    EndSection
    
    +218
    user72547 6 сент. 2016 г., 17:28:08

    xdiagnose может быть весьма полезным инструментом для некоторых вопросов, касающихся видеокарт, хотя и не особо для приостановки/возобновления вопросы, как они должны делать с ACPI реализации вашего ноутбука. Нет manpage для xdiagnose и ... помочь вариант реле довольно лаконична выбор команд. Однако, программа действительно используется для диагностики и устранения проблем конфигурации xorg, хотя это может быть так, что сервер xorg может быть замок на резюме.

    Вы можете использовать xdiagnose -V и для отслеживания ошибок X, в общем случае, и пусть он работать в фоновом режиме, и дополнительной графики..' вариант во всплывающем окне (см. скриншот), может быть отмечен, чтобы отправить больше графики отладочные сообщения в файл dmesg. Хотя эта информация не касается приостановки/возобновления напрямую, результаты могут косвенно быть полезна, если X является замораживание на приостановить или возобновить.

    enter image description here

    Вы можете получить информацию о ACPI, используя grep для поиска команды dmesg, /ВАР/лог/Керн.отчет и файл/var/журнал/ПМ-приостановить.журнал для ACPI, приостановить, и Hibernate ошибки.

    Есть также много ссылок для Dell ноутбуки Latitude на Ubuntuforums, поэтому там должно быть какая-то полезная информация есть, но чтобы ответить на ваш конкретный вопрос, xdiagnose не так уж полезно для диагностики приостановить/возобновить вопросы. Видите эту Убунту вики - страница и это одно уже очень полезно и общее представление о том, как отлаживать возобновить/приостановить проблемы.

    +213
    devil69f 16 нояб. 2017 г., 21:07:55

    Я использую в настоящее время программа "Recordmydesktop" - который тоже использует ffmpeg - для записи видео рабочего стола в программе.

    Как я могу регулировать размер в байтах для кадра ?! - Я хочу добиться лучшего разрешения видео, а затем я хочу установить не менее 10 кадров в секунду. - Я могу сделать это из терминала для программы "Recordmydesktop" ?! - в настоящее время графики "Шейк,Рэттл и ролл" - спасибо.

    +106
    ArchContrarian 10 мая 2014 г., 15:24:31

    Я хочу добавить пару блогов (в основном blogspots) в эволюции. Я уже установлен на RSS плагин и посмотрел, что URL-адрес я должен отдавать в RSS ленту (через http://davesaunders.net/2009/01/how-...-blogger-blog/

    Таким образом, я даю в следующий URL-адрес, чтобы следовать содержанию

    http://dingoo-scene.blogspot.com/feeds/posts/default?alt=rss

    Но каждый раз, когда я делаю так, похоже, что эволюция что-то загружаться, но зависает на 0%. Наконец, я должен убить его, потому что он не реагировал. Я также попробовал другие варианты по первой ссылке, но это не помогает. Теперь, как я могу читать RSS-каналы в эволюции, пожалуйста, потому что все это кажется таким difficicult (в контакт он работал как шарм, я помню)

    +81
    Neal Pisenti 12 мая 2010 г., 12:51:20

    Этот пост должен помочь вам. Это написано для людей в конкретно вашей ситуации.

    ДВОЙНАЯ ЗАГРУЗКА PDF-РУКОВОДСТВО (WINDOWS И LINUX)

    +32
    David Hersey 14 сент. 2018 г., 13:34:55

    Показать вопросы с тегом